module.exports = {
  create: {
    requestBody: ['money', 'match_id', 'group_id', 'project_id', 'payer_id', 'pay_id', 'is_pay', 'time', 'type'],
  },
  destroy: {
    params: ['!id'],
    service: 'delete',
  },
  update: {
    params: ['!id'],
    requestBody: ['money', 'match_id', 'group_id', 'project_id', 'payer_id', 'pay_id', 'is_pay', 'time', 'type'],
  },
  show: {
    parameters: {
      params: ['!id'],
    },
    service: 'fetch',
  },
  index: {
    parameters: {
      query: {
        'meta.createdAt@start': 'meta.createdAt@start',
        'meta.createdAt@end': 'meta.createdAt@end',
        match_id: 'match_id',
        group_id: 'group_id',
        project_id: 'project_id',
        pay_id: 'pay_id',
        payer_id: 'payer_id',
        'time@start': 'time@start',
        'time@end': 'time@end',
        type: 'type',
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true,
    },
  },
};
