module.exports = {
  create: {
    requestBody: [
      'format',
      'money',
      'belong_id',
      'type',
      '!logo',
      '!name',
      '!start_time',
      '!end_time',
      '!address',
      '!sign_time',
      'money_remark',
      'money_mode',
      '!contact',
      'explain',
      'regular',
      '!status',
    ],
  },
  destroy: {
    params: ['!id'],
    service: 'delete',
  },
  update: {
    params: ['!id'],
    requestBody: [
      'money',
      'format',
      'belong_id',
      'type',
      'logo',
      'name',
      'start_time',
      'end_time',
      'address',
      'sign_time',
      'money_remark',
      'money_mode',
      'contact',
      'explain',
      'regular',
      'status',
    ],
  },
  show: {
    parameters: {
      params: ['!id'],
    },
    service: 'fetch',
  },
  index: {
    parameters: {
      query: {
        'meta.createdAt@start': 'meta.createdAt@start',
        'meta.createdAt@end': 'meta.createdAt@end',
        name: 'name',
        start_time: 'start_time',
        end_time: 'end_time',
        sign_time: 'sign_time',
        contact: 'contact',
        status: 'status',
        belong_id: 'belong_id',
        type: 'type',
        format: 'format',
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true,
    },
  },
  getAll: {
    params: ['!id'],
  },
};
