module.exports = {
  create: {
    requestBody: ['!match_id', '!group_id', '!type', '!name', 'age', 'gender', 'num', 'explain'],
  },
  destroy: {
    params: ['!id'],
    service: 'delete',
  },
  update: {
    params: ['!id'],
    requestBody: ['match_id', 'group_id', 'type', 'name', 'age', 'gender', 'num', 'explain'],
  },
  show: {
    parameters: {
      params: ['!id'],
    },
    service: 'fetch',
  },
  index: {
    parameters: {
      query: {
        'meta.createdAt@start': 'meta.createdAt@start',
        'meta.createdAt@end': 'meta.createdAt@end',
        match_id: 'match_id',
        group_id: 'group_id',
        type: 'type',
        name: 'name',
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true,
    },
  },
};
