module.exports = {
  create: {
    requestBody: ['!match_id', '!group_id', '!project_id', '!user_id', 'is_share', 'pay_id', 'pay_status'],
  },
  destroy: {
    params: ['!id'],
    service: 'delete',
  },
  update: {
    params: ['!id'],
    requestBody: ['match_id', 'group_id', 'project_id', 'user_id', 'is_share', 'pay_id', 'pay_status'],
  },
  show: {
    parameters: {
      params: ['!id'],
    },
    service: 'fetch',
  },
  index: {
    parameters: {
      query: {
        'meta.createdAt@start': 'meta.createdAt@start',
        'meta.createdAt@end': 'meta.createdAt@end',
        match_id: 'match_id',
        group_id: 'group_id',
        project_id: 'project_id',
        user_id: 'user_id',
        is_share: 'is_share',
        pay_id: 'pay_id',
        pay_status: 'pay_status',
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true,
    },
  },
  checkHas: {
    requestBody: ['!match_id', '!group_id', '!project_id', '!user_id', 'card'],
  },
  checkFit: {
    requestBody: ['!match_id', '!group_id', '!project_id', '!user_id', 'card'],
  },
};
