module.exports = {
  create: {
    requestBody: [
      '!match_id',
      '!group_id',
      '!project_id',
      '!team_id',
      '!address_id',
      '!referee_id',
      '!match_time',
      '!player_type',
      '!player_one',
      'player_one_score',
      '!player_two',
      'player_two_score',
      'is_change',
      'status',
      'winner',
    ],
  },
  destroy: {
    params: ['!id'],
    service: 'delete',
  },
  update: {
    params: ['!id'],
    requestBody: [
      'match_id',
      'group_id',
      'project_id',
      'team_id',
      'address_id',
      'referee_id',
      'match_time',
      'player_type',
      'player_one',
      'player_one_score',
      'player_two',
      'player_two_score',
      'is_change',
      'status',
      'winner',
    ],
  },
  show: {
    parameters: {
      params: ['!id'],
    },
    service: 'fetch',
  },
  index: {
    parameters: {
      query: {
        'meta.createdAt@start': 'meta.createdAt@start',
        'meta.createdAt@end': 'meta.createdAt@end',
        match_id: 'match_id',
        group_id: 'group_id',
        project_id: 'project_id',
        team_id: 'team_id',
        address_id: 'address_id',
        referee_id: 'referee_id',
        match_time: 'match_time',
        player_type: 'player_type',
        player_one: 'player_one',
        player_two: 'player_two',
        is_change: 'is_change',
        status: 'status',
        user_id: 'user_id',
        user_name: 'user_name',
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true,
    },
  },
};
