module.exports = {
  create: {
    requestBody: ['!match_id', '!group_id', '!project_id', '!name', 'person_type', 'person', 'remark', '!rise'],
  },
  destroy: {
    params: ['!id'],
    service: 'delete',
  },
  update: {
    params: ['!id'],
    requestBody: ['match_id', 'group_id', 'project_id', 'name', 'person_type', 'person', 'remark', 'rise'],
  },
  show: {
    parameters: {
      params: ['!id'],
    },
    service: 'fetch',
  },
  index: {
    parameters: {
      query: {
        'meta.createdAt@start': 'meta.createdAt@start',
        'meta.createdAt@end': 'meta.createdAt@end',
        match_id: 'match_id',
        group_id: 'group_id',
        project_id: 'project_id',
        name: 'name',
        rise: 'rise',
        project_name: 'project_name',
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true,
    },
  },
  auto: {
    requestBody: ['!match_id', '!group_id', '!project_id', '!team_number'],
  },
  findGroupPersonSelects: {
    parameters: {
      query: {
        project_id: 'project_id',
        person_type: 'person_type',
        team_id: 'team_id',
      },
    },
  },
};
