module.exports = {
  create: {
    requestBody: ['money', 'openid', 'match_id', 'group_id', 'project_id', 'payer_id', 'order_no', 'time', 'desc', 'status', 'config'],
  },
  destroy: {
    params: ['!id'],
    service: 'delete',
  },
  update: {
    params: ['!id'],
    requestBody: ['money', 'openid', 'match_id', 'group_id', 'project_id', 'payer_id', 'order_no', 'time', 'desc', 'status', 'config'],
  },
  show: {
    parameters: {
      params: ['!id'],
    },
    service: 'fetch',
  },
  index: {
    parameters: {
      query: {
        'meta.createdAt@start': 'meta.createdAt@start',
        'meta.createdAt@end': 'meta.createdAt@end',
        payer_id: 'payer_id',
        order_no: 'order_no',
        status: 'status',
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true,
    },
  },
};
