module.exports = {
  create: {
    requestBody: ['!match_id', '!group_id', '!project_id', '!one_member_id', '!one_member_name', '!two_member_id', '!two_member_name', '!apply_time', 'status'],
  },
  destroy: {
    params: ['!id'],
    service: 'delete',
  },
  update: {
    params: ['!id'],
    requestBody: ['match_id', 'group_id', 'project_id', 'one_member_id', 'one_member_name', 'two_member_id', 'two_member_name', 'apply_time', 'status'],
  },
  show: {
    parameters: {
      params: ['!id'],
    },
    service: 'fetch',
  },
  index: {
    parameters: {
      query: {
        'meta.createdAt@start': 'meta.createdAt@start',
        'meta.createdAt@end': 'meta.createdAt@end',
        match_id: 'match_id',
        group_id: 'group_id',
        project_id: 'project_id',
        one_member_id: 'one_member_id',
        one_member_name: 'one_member_name',
        two_member_id: 'two_member_id',
        two_member_name: 'two_member_name',
        apply_time: 'apply_time',
        status: 'status',
        user_id: 'user_id',
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true,
    },
  },
  findPartner: {
    parameters: {
      query: {
        project_id: 'project_id',
        user_id: 'user_id',
      },
    },
  },
};
