module.exports = {
  create: {
    requestBody: ['openid', 'user_id', 'type', 'parent_id'],
  },
  destroy: {
    params: ['!id'],
    service: 'delete',
  },
  update: {
    params: ['!id'],
    requestBody: ['openid', 'user_id', 'type', 'parent_id'],
  },
  show: {
    parameters: {
      params: ['!id'],
    },
    service: 'fetch',
  },
  index: {
    parameters: {
      query: {
        'meta.createdAt@start': 'meta.createdAt@start',
        'meta.createdAt@end': 'meta.createdAt@end',
        openid: 'openid',
        user_id: 'user_id',
        type: 'type',
        parent_id: 'parent_id',
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true,
    },
  },
  bindJudge: {
    requestBody: ['!openid', 'user_id', 'type', 'parent_id'],
  },
  login: {
    requestBody: ['!openid'],
  },
  coachToBeJudge: {
    requestBody: ['!coach_id', '!parent_id'],
  },
  userToBeJudge: {
    requestBody: ['!user_id', '!parent_id'],
  },
};
