'use strict';
// 路由配置
const path = require('path');
const regPath = path.resolve('app', 'public', 'routerRegister');
const routerRegister = require(regPath);
const rkey = 'matchSign';
const ckey = 'matchSign';
const keyZh = '赛事报名';
const routes = [
  { method: 'post', path: `${rkey}/checkHas`, controller: `${ckey}.checkHas`, name: `${ckey}checkHas`, zh: `${keyZh}-检查是否报名` },
  { method: 'post', path: `${rkey}/checkFit`, controller: `${ckey}.checkFit`, name: `${ckey}checkFit`, zh: `${keyZh}-检查是否符合报名条件` },
  { method: 'get', path: `${rkey}`, controller: `${ckey}.index`, name: `${ckey}Query`, zh: `${keyZh}列表查询` },
  { method: 'get', path: `${rkey}/:id`, controller: `${ckey}.show`, name: `${ckey}Show`, zh: `${keyZh}查询` },
  { method: 'post', path: `${rkey}`, controller: `${ckey}.create`, name: `${ckey}Create`, zh: `创建${keyZh}` },
  { method: 'post', path: `${rkey}/:id`, controller: `${ckey}.update`, name: `${ckey}Update`, zh: `修改${keyZh}` },
  { method: 'delete', path: `${rkey}/:id`, controller: `${ckey}.destroy`, name: `${ckey}Delete`, zh: `删除${keyZh}` },
];

module.exports = app => {
  routerRegister(app, routes, keyZh, rkey, ckey);
};
