'use strict';
// 路由配置
const path = require('path');
const regPath = path.resolve('app', 'public', 'routerRegister');
const routerRegister = require(regPath);
const rkey = 'user';
const ckey = 'user';
const keyZh = '比赛用户';
const routes = [
  { method: 'post', path: `${rkey}/ctbj`, controller: `${ckey}.coachToBeJudge`, name: `${ckey}coachToBeJudge`, zh: `${keyZh}-教练成为裁判` },
  { method: 'post', path: `${rkey}/utbj`, controller: `${ckey}.userToBeJudge`, name: `${ckey}userToBeJudge`, zh: `${keyZh}-用户成为裁判` },
  { method: 'post', path: `${rkey}/login`, controller: `${ckey}.login`, name: `${ckey}login`, zh: `${keyZh}-登陆` },
  { method: 'post', path: `${rkey}/bindJudge`, controller: `${ckey}.bindJudge`, name: `${ckey}bindJudge`, zh: `${keyZh}-绑定裁判` },
  { method: 'get', path: `${rkey}`, controller: `${ckey}.index`, name: `${ckey}Query`, zh: `${keyZh}列表查询` },
  { method: 'get', path: `${rkey}/:id`, controller: `${ckey}.show`, name: `${ckey}Show`, zh: `${keyZh}查询` },
  { method: 'post', path: `${rkey}`, controller: `${ckey}.create`, name: `${ckey}Create`, zh: `创建${keyZh}` },
  { method: 'post', path: `${rkey}/:id`, controller: `${ckey}.update`, name: `${ckey}Update`, zh: `修改${keyZh}` },
  { method: 'delete', path: `${rkey}/:id`, controller: `${ckey}.destroy`, name: `${ckey}Delete`, zh: `删除${keyZh}` },
];

module.exports = app => {
  routerRegister(app, routes, keyZh, rkey, ckey);
};
